# Генератор отчётов о продажах

Этот Python-пакет автоматизирует процесс загрузки, анализа и генерации отчётов по данным о продажах. Он загружает данные из CSV-файла, группирует их по категориям и создаёт сводный отчёт с общими продажами и количеством проданных товаров для каждой категории.

## Возможности

- Загрузка данных о продажах из CSV-файла.
- Группировка данных по колонке `category`.
- Расчёт двух ключевых метрик для каждой категории:
  - Общая сумма продаж.
  - Количество проданных товаров.
- Генерация сводного отчёта в формате CSV с колонками:
  - `category`: Категория товара.
  - `sales`: Общая сумма продаж.
  - `quantity`: Общее количество проданных товаров.
- Поддержка запуска через командную строку с опциями:
  - `--input-file`: Указание входного CSV-файла.
  - `--output-file`: Указание выходного CSV-файла для сохранения отчёта.

## Пример выходного файла

Отчёт в формате CSV будет выглядеть следующим образом:

```text
category,sales,quantity
electronics,1300,7
clothing,700,13
```

```python
python -m sales_report --input-file sales_data.csv --output-file report.csv
```
Требования

    Python 3.7+
    pandas

```bash
pip install magsaleanalyser
```